function pillar(Z,off1,off2);

if nargin==1
   off1=0;
   off2=0;
end

[n,m] = size(Z);
[x,y]=meshgrid(1:m,1:n);
x=x-off1;
y=y-off2;

xv=x(:);
yv=y(:);
z=Z(:);
Xh=[xv+.5,xv+.5,xv-.5,xv-.5]';
Yh=[yv+.5,yv-.5,yv-.5,yv+.5]';
Zh=[z,z,z,z]';

xv=x(:,1:m-1);
xv=xv(:);
yv=y(:,1:m-1);
yv=yv(:);
zv1=Z(:,1:m-1);
zv1=zv1(:);
zv2=Z(:,2:m);
zv2=zv2(:);
Xt=[xv+.5,xv+.5,xv+.5,xv+.5]';
Yt=[yv+.5,yv+.5,yv-.5,yv-.5]';
Zt=[zv1,zv2,zv2,zv1]';

xv=x(1:n-1,:);
xv=xv(:);
yv=y(1:n-1,:);
yv=yv(:);
zv1=Z(1:n-1,:);
zv1=zv1(:);
zv2=Z(2:n,:);
zv2=zv2(:);
Xl=[xv+.5,xv+.5,xv-.5,xv-.5]';
Yl=[yv+.5,yv+.5,yv+.5,yv+.5]';
Zl=[zv1,zv2,zv2,zv1]';

X=[Xh Xt Xl];
Y=[Yh Yt Yl];
Z=[Zh Zt Zl];
fill3(X,Y,Z,Z);